Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5117)
@@ -8094,5 +8094,5 @@
 #ifdef ISOVERIF       
        do il=1,ncas
-        if ((Pqisup_cas(il).le.0.0).and. &
+        IF ((Pqisup_cas(il).le.0.0).AND. &
                 (water_cas(il).gt.ridicule*10)) THEN
             ! 27 mai 2009: on est plus laxiste dans le cas des traceurs
@@ -8103,5 +8103,5 @@
             stop
          endif
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix( &
                 (Pxtisup_cas(iso_eau,il)), &
@@ -8114,5 +8114,5 @@
 #endif        
         do il=1,ncas
-         if (Pqisup_cas(il).gt.0.0) THEN
+         IF (Pqisup_cas(il).gt.0.0) THEN
             do ixt=1,niso  
               Risup(ixt,il)=Pxtisup_cas(ixt,il)/Pqisup_cas(il)
@@ -8137,10 +8137,10 @@
             enddo !do ixt=1,niso   
           enddo !do il=1,ncas_noevap     
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             do il=1,ncas
               CALL iso_verif_egalite_choix(xtwater_cas(iso_eau,il), &
                 water_cas(il),'appel_stewart 262.2, cas 1.1', &
                 errmax,errmaxrel)
-              if ((xtwater_cas(iso_eau,il).eq.0).and. &
+              IF ((xtwater_cas(iso_eau,il).EQ.0).AND. &
                 (water_cas(il).gt.ridicule)) THEN
                WRITE(*,*) 'appel_stewart 263.2, cas 1.1'
@@ -8149,5 +8149,5 @@
                stop
               endif
-              if (oktrac.eq.0) THEN
+              IF (oktrac.EQ.0) THEN
 !                  WRITE(*,*) 'appel_stewart 1743 noevap tmp: il=',il
              CALL iso_verif_egalite_choix(xtp_cas(iso_eau,il), &
@@ -8158,11 +8158,11 @@
                 'appel_stewart 275.2, cas 1.1', &
                 errmax,errmaxrel)
-             endif !if (oktrac.eq.0) THEN
+             endif !if (oktrac.EQ.0) THEN
              enddo !do il=1,ncas
             endif ! if (iso_eau.gt.0) THEN
-            if (oktrac.eq.0) THEN
-            if (iso_HDO.gt.0) THEN
+            IF (oktrac.EQ.0) THEN
+            IF (iso_HDO.gt.0) THEN
               do il=1,ncas
-                if (qp_cas(il).gt.ridicule) THEN
+                IF (qp_cas(il).gt.ridicule) THEN
                 CALL iso_verif_aberrant( &
                 xtp_cas(iso_HDO,il)/qp_cas(il), &
@@ -8171,5 +8171,5 @@
               enddo !do il=1,ncas 
             endif  ! if (iso_HDO.gt.0) THEN
-            endif !if (oktrac.eq.0) THEN
+            endif !if (oktrac.EQ.0) THEN
 #endif           
 
@@ -8203,8 +8203,8 @@
 
         ! inputs
-        integer ncas
-        real xtp_avantevap_cas(niso,ncas), &
+        INTEGER ncas
+        REAL xtp_avantevap_cas(niso,ncas), &
                 qp_avantevap_cas(ncas)
-        real xtp_avantevaptrac_cas(niso,ncas), &
+        REAL xtp_avantevaptrac_cas(niso,ncas), &
                 qp_avantevaptrac_cas(ncas)
         ! dans le cas des traceurs: xtp_avantevaptrac_cas est la
@@ -8213,22 +8213,22 @@
         ! on rééquilibre la goutte avec le total de toutes les zones,
         ! mais c'est xtp_avantevaptrac_cas qui recoit l'évap
-        real Pqisup_cas(ncas), Pxtisup_cas(niso,ncas)
-        real Pqiinf_stewart(ncas), Eqi_stewart(ncas)
-        real fac_ftmr_cas(ncas),Eqi_prime_cas(ncas)
-        real T_cas(ncas),delP_cas(ncas), &
+        REAL Pqisup_cas(ncas), Pxtisup_cas(niso,ncas)
+        REAL Pqiinf_stewart(ncas), Eqi_stewart(ncas)
+        REAL fac_ftmr_cas(ncas),Eqi_prime_cas(ncas)
+        REAL T_cas(ncas),delP_cas(ncas), &
                 xtevapsup_cas(niso,ncas), &
                 wt_cas(ncas),qeff(ncas), &
                 qs_cas(ncas),water_cas(ncas), &
                 qp_cas(ncas)
-        integer oktrac      
+        INTEGER oktrac
 #ifdef ISOTRAC        
-        real ptrac(ncas)  
-        real hdiag(ncas)
+        REAL ptrac(ncas)
+        REAL hdiag(ncas)
 #endif        
 #ifdef ISOVERIF        
-        real evap_cas(ncas)   
+        REAL evap_cas(ncas)
 #endif        
-        integer INB_cas(ncas),i
-        real g,sigd(ncas)
+        INTEGER INB_cas(ncas),i
+        REAL g,sigd(ncas)
         ! outputs
         real  xtp_cas(niso,ncas),xtwater_cas(niso,ncas), &
@@ -8236,8 +8236,8 @@
 
         ! locals        
-        integer il,ixt        
-        real Pxtiinf_stewart(niso,ncas),  &
+        INTEGER il,ixt
+        REAL Pxtiinf_stewart(niso,ncas),  &
                 Exi_stewart(niso,ncas)
-        real xtnew(niso,ncas)
+        REAL xtnew(niso,ncas)
 !#ifdef ISOVERIF
 !        integer iso_verif_egalite_choix_nostop
@@ -8255,5 +8255,5 @@
 !     :           qp_avantevap_cas(162)
 !        endif !if (ncas_evap_liq.ge.162) THEN
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
           do il=1,ncas
 !            WRITE(*,*) 'appel tmp 1492: il=',il
@@ -8277,10 +8277,10 @@
 #ifdef ISOTRAC       
        ! à l'avenir, il faudra faire les choses plus proprement!
-       if (oktrac.eq.1) THEN
+       IF (oktrac.EQ.1) THEN
            ! on renormalise le flux de précip et d'évap
            ! on suppose que la seule différence entre les différentes
            ! zones, c'est la compo du liquide
            do il=1,ncas
-            if (ptrac(il).gt.1e-20) THEN
+            IF (ptrac(il).gt.1e-20) THEN
              Pqisup_cas(il)=Pqisup_cas(il)/ptrac(il)
              Eqi_stewart(il)=Eqi_stewart(il)/ptrac(il)
@@ -8306,9 +8306,9 @@
             endif !if (ptrac(il).gt.0.0) THEN
            enddo !do il=1,ncas
-       endif !if (oktrac.eq.1) THEN
+       endif !if (oktrac.EQ.1) THEN
 #endif       
         
 
-        if (no_pce.eq.1) THEN
+        IF (no_pce.EQ.1) THEN
             CALL stewart_sublim_nofrac_vectall( &
              ncas,qp_avantevap_cas(1), &
@@ -8317,5 +8317,5 @@
              Pxtiinf_stewart(1,1),xtnew(1,1),Exi_stewart(1,1), &
              fac_ftmr_cas(1))
-        else !if (no_pce.eq.1) THEN
+        else !if (no_pce.EQ.1) THEN
       CALL stewart_explicite_vectall(ncas, &
              qp_avantevap_cas(1),xtp_avantevap_cas(1,1), &
@@ -8329,8 +8329,8 @@
 #endif
         )
-         endif !if (no_pce.eq.1) THEN
+         endif !if (no_pce.EQ.1) THEN
 #ifdef ISOTRAC      
       ! à l'avenir, il faudra faire les choses plus proprement!
-      if (oktrac.eq.1) THEN
+      IF (oktrac.EQ.1) THEN
            ! on renormalise le flux de précip et d'évap
            ! on suppose que la seule différence entre les différentes
@@ -8349,9 +8349,9 @@
              hdiag(il)=qeff(il)/qs_cas(il)
            enddo !do il=1,ncas
-       endif !if (oktrac.eq.1) THEN
-#endif
-
-#ifdef ISOVERIF
-       if (iso_eau.gt.0) THEN
+       endif !if (oktrac.EQ.1) THEN
+#endif
+
+#ifdef ISOVERIF
+       IF (iso_eau.gt.0) THEN
           do il=1,ncas     
                 CALL iso_verif_egalite_choix( &
@@ -8365,5 +8365,5 @@
                 'appel_stewart 586', &
                 errmax,errmaxrel)
-                if (Pqiinf_stewart(il).gt.ridicule) THEN
+                IF (Pqiinf_stewart(il).gt.ridicule) THEN
                   CALL iso_verif_egalite_choix(( &
                    Pxtiinf_stewart(iso_eau,il)/Pqiinf_stewart(il)), &
@@ -8388,10 +8388,10 @@
         ! qui sort de la boite i (Pqiinf_par)
         do il=1,ncas
-          if (abs(water_cas(il)).lt.ridicule/10.) THEN
+          IF (abs(water_cas(il)).lt.ridicule/10.) THEN
             do ixt=1,niso
                xtwater_cas(ixt,il)=0.0
             enddo !do ixt=1,niso
-          else !if (water(il,i).eq.0.0) THEN
-             if (Pqiinf_stewart(il).gt.0.0) then  !if (Pxtiinf_par(iso_eau).gt.0.0) THEN
+          else !if (water(il,i).EQ.0.0) THEN
+             IF (Pqiinf_stewart(il).gt.0.0) then  !if (Pxtiinf_par(iso_eau).gt.0.0) THEN
                do ixt=1,niso 
                  xtwater_cas(ixt,il)=water_cas(il) &
@@ -8405,5 +8405,5 @@
                 enddo !do ixt=1,niso
              endif
-           endif !if (water(il,i).eq.0.0) THEN
+           endif !if (water(il,i).EQ.0.0) THEN
          enddo !do il=1,ncas
         
@@ -8414,11 +8414,11 @@
                'appel_stewart 566')
         enddo !do ixt=1,niso
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix(xtwater_cas(iso_eau,il), &
                 water_cas(il),'appel_stewart 568',errmax,errmaxrel)
-         if (water_cas(il).gt.ridicule*10) THEN
-             if (iso_verif_egalite_choix_nostop( &
+         IF (water_cas(il).gt.ridicule*10) THEN
+             IF (iso_verif_egalite_choix_nostop( &
                 xtwater_cas(iso_eau,il)/water_cas(il),1.0, &
-                'appel stewart 155',errmax*10,errmaxrel*10).eq.1) THEN
+                'appel stewart 155',errmax*10,errmaxrel*10).EQ.1) THEN
 !               WRITE(*,*) 'i=',i
                WRITE(*,*) 'Tevap=',T_cas(il)
@@ -8442,5 +8442,5 @@
         ! calcule xtevapi.    
        do il=1,ncas
-        if (Eqi_stewart(il).gt.0.0) THEN
+        IF (Eqi_stewart(il).gt.0.0) THEN
          do ixt=1,niso          
           xtevap_cas(ixt,il)=Eqi_prime_cas(il) &
@@ -8464,12 +8464,12 @@
           CALL iso_verif_noNAN(xtevap_cas(ixt,il),'appel stewart 131')
         enddo ! do ixt=1,nisio
-        if (oktrac.eq.0) THEN
+        IF (oktrac.EQ.0) THEN
             ! dans le cas traceur, le calcul de evap_cas est plus
             ! compliqué: il faut le faire plus proprement dans
             ! compress_stewart
-        if (iso_eau.gt.0) THEN
-            if (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il), &
+        IF (iso_eau.gt.0) THEN
+            IF (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il), &
                  evap_cas(il),'appel stewart 142', &
-                errmax,errmaxrel).eq.1) THEN
+                errmax,errmaxrel).EQ.1) THEN
               WRITE(*,*) 'il=',il
               WRITE(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
@@ -8484,8 +8484,8 @@
             endif
         endif !if (iso_eau.gt.0) THEN
-        endif !if (oktrac.eq.0) THEN
+        endif !if (oktrac.EQ.0) THEN
 #ifdef ISOTRAC
-        if (oktrac.eq.1) THEN
-        if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) THEN
+        IF (oktrac.EQ.1) THEN
+        IF ((iso_eau.gt.0).AND.(iso_HDO.gt.0)) THEN
              CALL iso_verif_aberrant_choix( &
                 (xtp_avantevaptrac_cas(iso_HDO,il)), &
@@ -8493,5 +8493,5 @@
                 ridicule_trac,deltalimtrac, &
                 'appel_stewart 2053')
-        endif !if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) THEN
+        endif !if ((iso_eau.gt.0).AND.(iso_HDO.gt.0)) THEN
         endif
 #endif
@@ -8502,7 +8502,7 @@
       
       do il=1,ncas
-       if (i.lt.INB_cas(il)) THEN
-          if (fac_ftmr_cas(il).gt.0.0) THEN
-             if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) THEN
+       IF (i.lt.INB_cas(il)) THEN
+          IF (fac_ftmr_cas(il).gt.0.0) THEN
+             IF (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) THEN
                do ixt=1,niso               
                !   xtp(ixt,il,i)=xtnew(ixt)*qp(il,i)/xtnew(4)
@@ -8512,6 +8512,6 @@
                enddo !do ixt=1,niso
              else ! if (Eqi_stewart.gt.ridicule) THEN
-                if (qp_cas(il).gt.0.0) THEN
-                    if (Eqi_prime_cas(il)*fac_ftmr_cas(il).gt.ridicule) &
+                IF (qp_cas(il).gt.0.0) THEN
+                    IF (Eqi_prime_cas(il)*fac_ftmr_cas(il).gt.ridicule) &
                          THEN
                         ! il va manquer quelque chose: il faut augmenter
@@ -8545,10 +8545,10 @@
             endif !if (Eqi_stewart.gt.ridicule) THEN
 #ifdef ISOVERIF       
-!            if (il.eq.87) THEN
+!            if (il.EQ.87) THEN
 !                WRITE(*,*) 'appel_stewart 2244: tmp, après calcul xtp'
 !                WRITE(*,*) 'xtnew(:,il)=',xtnew(:,il)
 !                WRITE(*,*) 'Pxtiinf_stewart(:,il)=',
 !     :             Pxtiinf_stewart(:,il)
-!            endif  !if (il.eq.87) THEN
+!            endif  !if (il.EQ.87) THEN
             do ixt=1,niso
                 CALL iso_verif_noNAN(xtp_cas(ixt,il), &
@@ -8556,6 +8556,6 @@
             enddo ! do ixt=1,niso
 #ifdef ISOTRAC
-            if (oktrac.eq.1) THEN
-            if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) THEN
+            IF (oktrac.EQ.1) THEN
+            IF ((iso_HDO.gt.0).AND.(iso_eau.gt.0)) THEN
                 ! le 10 mai 2009: on remonte le seuil de vérif de deltaD
                 ! aberrant car dans le cas des traceurs, des très
@@ -8563,8 +8563,8 @@
                 ! influencées par des évaps qui peuvent être aberantes
                 ! si ces evaps sont petites
-                if (iso_verif_aberrant_choix_nostop( &
+                IF (iso_verif_aberrant_choix_nostop( &
                 xtp_cas(iso_HDO,il),xtp_cas(iso_eau,il), &
                 ridicule_trac,deltalimtrac, &
-                'appel_stewart 2090').eq.1) THEN
+                'appel_stewart 2090').EQ.1) THEN
                   WRITE(*,*) 'xtp_avantevaptrac_cas(iso_eau),deltaD=', &
                    xtp_avantevaptrac_cas(iso_eau,il),deltaD &
@@ -8601,18 +8601,18 @@
                 endif
         endif !if (iso_HDO.gt.0) THEN
-       endif !if (oktrac.eq.1) THEN
+       endif !if (oktrac.EQ.1) THEN
 #endif
 ! #ifdef ISOTRAC
-          if (oktrac.eq.0) THEN
-            if (iso_eau.gt.0) THEN
+          IF (oktrac.EQ.0) THEN
+            IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(xtp_cas(iso_eau,il), &
               qp_cas(il),'appel stewart 688', &
                 errmax,errmaxrel*30)
            endif !if (iso_eau.gt.0) THEN
-           if ((iso_HDO.gt.0).and. &
+           IF ((iso_HDO.gt.0).AND. &
                 (qp_cas(il).gt.ridicule)) THEN
-             if (iso_verif_aberrant_nostop(xtp_cas(iso_HDO,il)/ &
+             IF (iso_verif_aberrant_nostop(xtp_cas(iso_HDO,il)/ &
               qp_cas(il), &
-              'appel_stewart_vectall 1079').eq.1) THEN
+              'appel_stewart_vectall 1079').EQ.1) THEN
                WRITE(*,*) 'i,qp(cas_evap_liq(il),i)=', &
                         i,qp_cas(il)
@@ -8623,5 +8623,5 @@
              endif
            endif !if (iso_HDO.gt.0) THEN
-        endif ! if (oktrac.eq.0) THEN
+        endif ! if (oktrac.EQ.0) THEN
 #endif              
 
@@ -8652,6 +8652,6 @@
         enddo !do ixt=1,niso
 #ifdef ISOTRAC
-        if ((iso_HDO.gt.0).and.(iso_eau.gt.0)) THEN
-          if (oktrac.eq.1) THEN
+        IF ((iso_HDO.gt.0).AND.(iso_eau.gt.0)) THEN
+          IF (oktrac.EQ.1) THEN
               CALL iso_verif_aberrant_choix( &
                 xtp_cas(iso_HDO,il),xtp_cas(iso_eau,il), &
@@ -8663,12 +8663,12 @@
       
 !#ifdef ISOTRAC
-      if (oktrac.eq.0) THEN
-      if (iso_eau.gt.0) THEN
+      IF (oktrac.EQ.0) THEN
+      IF (iso_eau.gt.0) THEN
        do il=1,ncas       
-        if (iso_verif_egalite_choix_nostop( &
+        IF (iso_verif_egalite_choix_nostop( &
                  xtp_cas(iso_eau,il), &
                  qp_cas(il), &
                 'appel stewart 197', &
-                errmax,errmaxrel*50).eq.1) THEN
+                errmax,errmaxrel*50).EQ.1) THEN
           WRITE(*,*) 'i=',i,' INB=',INB_cas(il)
           WRITE(*,*) 'Tevap=',T_cas(il)
@@ -8692,9 +8692,9 @@
         enddo !do il=1,ncas
       endif !if (iso_eau.gt.0) THEN
-      if (iso_HDO.gt.0) THEN
+      IF (iso_HDO.gt.0) THEN
        do il=1,ncas
 !        WRITE(*,*) 'appel_stewart 2166: fin make_cas_evap_liq, ',
 !     &       'il,deltaDqp=',il,deltaD(xtp_cas(iso_HDO,il)/qp_cas(il))
-        if (qp_cas(il).gt.ridicule) THEN
+        IF (qp_cas(il).gt.ridicule) THEN
           CALL iso_verif_aberrant( &
                 xtp_cas(iso_HDO,il)/qp_cas(il), &
@@ -8703,5 +8703,5 @@
        enddo !do il=1,ncas     
       endif 
-      endif ! if (oktrac.eq.0) THEN
+      endif ! if (oktrac.EQ.0) THEN
 !#endif
 ! ISOTRAC
@@ -8733,32 +8733,32 @@
 
         ! inputs
-        integer ncas
-        real xtp_avantevap_cas(niso,ncas), &
+        INTEGER ncas
+        REAL xtp_avantevap_cas(niso,ncas), &
                 qp_avantevap_cas(ncas)
-        real xtp_avantevaptrac_cas(niso,ncas), &
+        REAL xtp_avantevaptrac_cas(niso,ncas), &
                 qp_avantevaptrac_cas(ncas)
-        real Pqisup_cas(ncas), Pxtisup_cas(niso,ncas)
-        real Pqiinf_stewart(ncas), Eqi_stewart(ncas)
-        real fac_ftmr_cas(ncas),Eqi_prime_cas(ncas)
-        real T_cas(ncas),delP_cas(ncas), &
+        REAL Pqisup_cas(ncas), Pxtisup_cas(niso,ncas)
+        REAL Pqiinf_stewart(ncas), Eqi_stewart(ncas)
+        REAL fac_ftmr_cas(ncas),Eqi_prime_cas(ncas)
+        REAL T_cas(ncas),delP_cas(ncas), &
                 xtevapsup_cas(niso,ncas), &
                 wt_cas(ncas),qeff(ncas), &
                 qs_cas(ncas),water_cas(ncas)
-        real qp_cas(ncas)      
-#ifdef ISOVERIF
-        real evap_cas(ncas)
-        integer oktrac
+        REAL qp_cas(ncas)
+#ifdef ISOVERIF
+        REAL evap_cas(ncas)
+        INTEGER oktrac
 #endif        
-        real g,sigd(ncas)
-        integer frac_sublim
-        integer INB_cas(ncas),i
+        REAL g,sigd(ncas)
+        INTEGER frac_sublim
+        INTEGER INB_cas(ncas),i
         ! outputs
         real  xtp_cas(niso,ncas),xtwater_cas(niso,ncas), &
                 xtevap_cas(niso,ncas)
         ! locals        
-        integer il,ixt
-        real Pxtiinf_stewart(niso,ncas),  &
+        INTEGER il,ixt
+        REAL Pxtiinf_stewart(niso,ncas),  &
                 Exi_stewart(niso,ncas)
-        real xtnew(niso,ncas)     
+        REAL xtnew(niso,ncas)
 !#ifdef ISOVERIF
 !        real 
@@ -8770,5 +8770,5 @@
 #ifdef ISOVERIF  
 !      WRITE(*,*) 'appel_stewart 2052: entrée dans make_cas_evap_glace'
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
           do il=1,ncas
             CALL iso_verif_egalite_choix( &
@@ -8796,5 +8796,5 @@
       !    Eqi_prime sont les même que Eqi_par
 
-      if (frac_sublim.eq.1) THEN
+      IF (frac_sublim.EQ.1) THEN
             CALL stewart_glace_vectall(ncas, &
              qp_avantevap_cas(1),xtp_avantevap_cas(1,1),Pqisup_cas(1), &
@@ -8803,5 +8803,5 @@
              fac_ftmr_cas(1), &
              T_cas(1))
-      else !if (frac_sublim.eq.1) THEN
+      else !if (frac_sublim.EQ.1) THEN
 !#ifdef ISOVERIF
 !            WRITE(*,*) 'appel_stewart_explicite 2736'
@@ -8813,8 +8813,8 @@
              Pxtiinf_stewart(1,1),xtnew(1,1),Exi_stewart(1,1), &
              fac_ftmr_cas(1))
-      endif !if (frac_sublim.eq.1) THEN
+      endif !if (frac_sublim.EQ.1) THEN
 #ifdef ISOVERIF
 !       WRITE(*,*) 'appel_stewart 2096: dans make_cas_evap_glace'
-       if (iso_eau.gt.0) THEN
+       IF (iso_eau.gt.0) THEN
           do il=1,ncas       
              CALL iso_verif_egalite_choix( &
@@ -8827,9 +8827,9 @@
                 'appel_stewart 586', &
                errmax,errmaxrel)
-             if (Pqiinf_stewart(il).gt.ridicule) THEN
-                if (iso_verif_egalite_choix_nostop(( &
+             IF (Pqiinf_stewart(il).gt.ridicule) THEN
+                IF (iso_verif_egalite_choix_nostop(( &
                 Pxtiinf_stewart(iso_eau,il)/Pqiinf_stewart(il)), &
                 1.,'appel_setwart 575b', errmax*10, errmaxrel*10) &
-                 .eq.1) THEN
+                 .EQ.1) THEN
                    WRITE(*,*) 'Pqiinf_stewart(il)=',Pqiinf_stewart(il)
 !                   WRITE(*,*) 'Pqiinf_par(il)=',Pqiinf_par(il)
@@ -8847,10 +8847,10 @@
         ! qui sort de la boite i (Pqiinf_par)
         do il=1,ncas
-          if (abs(water_cas(il)).lt.ridicule/10.) THEN
+          IF (abs(water_cas(il)).lt.ridicule/10.) THEN
             do ixt=1,niso
                xtwater_cas(ixt,il)=water_cas(il)*Rdefault(ixt)
             enddo !do ixt=1,niso
-          else !if (water(il,i).eq.0.0) THEN
-             if (Pqiinf_stewart(il).gt.0.0) then  !if (Pxtiinf_par(iso_eau).gt.0.0) THEN
+          else !if (water(il,i).EQ.0.0) THEN
+             IF (Pqiinf_stewart(il).gt.0.0) then  !if (Pxtiinf_par(iso_eau).gt.0.0) THEN
                do ixt=1,niso 
                  xtwater_cas(ixt,il)=water_cas(il) &
@@ -8864,5 +8864,5 @@
                 enddo !do ixt=1,niso
              endif
-           endif !if (water(il,i).eq.0.0) THEN
+           endif !if (water(il,i).EQ.0.0) THEN
          enddo !do il=1,ncas
         
@@ -8874,11 +8874,11 @@
                 'appel_stewart 566b')
         enddo !do ixt=1,niso
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix(xtwater_cas(iso_eau,il), &
                 water_cas(il),'appel_stewart 568b',errmax,errmaxrel)
-         if (water_cas(il).gt.ridicule*10) THEN
-             if (iso_verif_egalite_choix_nostop( &
+         IF (water_cas(il).gt.ridicule*10) THEN
+             IF (iso_verif_egalite_choix_nostop( &
                 xtwater_cas(iso_eau,il)/water_cas(il),1.0, &
-                'appel stewart 155b',errmax*10,errmaxrel*10).eq.1) THEN
+                'appel stewart 155b',errmax*10,errmaxrel*10).EQ.1) THEN
                WRITE(*,*) 'i=',i
                WRITE(*,*) 'Tevap=',T_cas(il)
@@ -8902,5 +8902,5 @@
         ! calcule xtevapi.    
        do il=1,ncas
-        if (Eqi_stewart(il).gt.0.0) THEN
+        IF (Eqi_stewart(il).gt.0.0) THEN
          do ixt=1,niso          
           xtevap_cas(ixt,il)=Eqi_prime_cas(il) &
@@ -8924,12 +8924,12 @@
           CALL iso_verif_noNAN(xtevap_cas(ixt,il),'appel stewart 131b')
         enddo ! do ixt=1,niso
-        if (oktrac.eq.0) THEN
+        IF (oktrac.EQ.0) THEN
             ! dans le cas traceur, le calcul de evap_cas est plus
             ! compliqué: il faut le faire plus proprement dans
             ! compress_stewart
-        if (iso_eau.gt.0) THEN
-            if (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il), &
+        IF (iso_eau.gt.0) THEN
+            IF (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il), &
               evap_cas(il), &
-              'appel stewart 142b',errmax,errmaxrel).eq.1) THEN
+              'appel stewart 142b',errmax,errmaxrel).EQ.1) THEN
                 WRITE(*,*) 'i,il=',i,il
                 WRITE(*,*) 'Exi_stewart(iso_eau,il),Eqi_stewart(il)=', &
@@ -8943,5 +8943,5 @@
             endif !if (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il),
         endif !if (iso_eau.gt.0) THEN
-       endif ! if (oktrac.eq.0) THEN
+       endif ! if (oktrac.EQ.0) THEN
       enddo !do il=1,ncas 
 #endif
@@ -8952,7 +8952,7 @@
       ! deduction de XTP partir de Exi
       do il=1,ncas
-       if (i.lt.INB_cas(il)) THEN
-          if (fac_ftmr_cas(il).gt.0.0) THEN
-            if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) THEN
+       IF (i.lt.INB_cas(il)) THEN
+          IF (fac_ftmr_cas(il).gt.0.0) THEN
+            IF (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) THEN
                do ixt=1,niso     
                !   xtp(ixt,il,i)=xtnew(ixt)*qp(il,i)/xtnew(4)           
@@ -8962,6 +8962,6 @@
                enddo !do ixt=1,niso
              else ! if (Eqi_stewart.gt.ridicule) THEN
-                if (qp_cas(il).gt.0.0) THEN
-                    if (Eqi_prime_cas(il)*fac_ftmr_cas(il).gt.ridicule) &
+                IF (qp_cas(il).gt.0.0) THEN
+                    IF (Eqi_prime_cas(il)*fac_ftmr_cas(il).gt.ridicule) &
                          THEN
                         ! il va manquer quelque chose: il faut augmenter
@@ -8995,10 +8995,10 @@
                        'appel stewart 684b')
                 enddo ! do ixt=1,niso
-             if (oktrac.eq.0) THEN
-                if (iso_eau.gt.0) THEN
-                  if (iso_verif_egalite_choix_nostop( &
+             IF (oktrac.EQ.0) THEN
+                IF (iso_eau.gt.0) THEN
+                  IF (iso_verif_egalite_choix_nostop( &
                     xtp_cas(iso_eau,il),qp_cas(il), &
                     'appel stewart 688b',errmax,errmaxrel*30) &
-                    .eq.1) THEN
+                    .EQ.1) THEN
                     WRITE(*,*) 'il=',il
                     WRITE(*,*) 'xtp_avantevaptrac_cas(iso_eau,il)=', &
@@ -9013,5 +9013,5 @@
                   endif
                endif !if (iso_eau.gt.0) THEN
-              if ((iso_HDO.gt.0).and. &
+              IF ((iso_HDO.gt.0).AND. &
                 (qp_cas(il).gt.ridicule)) THEN
                 CALL iso_verif_aberrant( &
@@ -9019,5 +9019,5 @@
                 'appel_stewart 1384')
               endif  ! if (iso_HDO.gt.0) THEN
-            endif ! if (oktrac.eq.0) THEN
+            endif ! if (oktrac.EQ.0) THEN
 #endif 
 
@@ -9048,12 +9048,12 @@
          enddo !do ixt=1,niso
         enddo ! do il=1,ncas
-        if (oktrac.eq.0) THEN
-        if (iso_eau.gt.0) THEN
+        IF (oktrac.EQ.0) THEN
+        IF (iso_eau.gt.0) THEN
         do il=1,ncas
-        if (iso_verif_egalite_choix_nostop( &
+        IF (iso_verif_egalite_choix_nostop( &
                  xtp_cas(iso_eau,il), &
                  qp_cas(il), &
                 'appel stewart 197b: cas_evap_glace', &
-                errmax,errmaxrel*50).eq.1) THEN
+                errmax,errmaxrel*50).EQ.1) THEN
           WRITE(*,*) 'i,il=',i,il,' INB(il)=',INB_cas(il)
 !     &          ,' cas(il)=',cas_evap_glace(il)
@@ -9079,7 +9079,7 @@
          enddo !do il=1,ncas
         endif
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
           do il=1,ncas
-            if (qp_cas(il).gt.ridicule) THEN
+            IF (qp_cas(il).gt.ridicule) THEN
                 CALL iso_verif_aberrant( &
                 xtp_cas(iso_HDO,il)/qp_cas(il), &
@@ -9088,5 +9088,5 @@
           enddo !do il=1,ncas
         endif  ! if (iso_HDO.gt.0) THEN
-       endif ! if (oktrac.eq.0) THEN
+       endif ! if (oktrac.EQ.0) THEN
 !       WRITE(*,*) 'appel_stewart 2331: sortie de make_cas_evap_glace'
 #endif
@@ -9130,9 +9130,9 @@
 
       !*inputs et outputs
-      integer ncum ! dimension horiz effective
-      logical lwork(nloc)
-      integer NA,ND,nloc ! dimensions officielles
-      real PH(nloc,ND),T(nloc,ND),EVAP(nloc,NA)
-      real XTWDTRAIN(ntraciso,nloc),WDTRAIN(nloc), &
+      INTEGER ncum ! dimension horiz effective
+      LOGICAL lwork(nloc)
+      INTEGER NA,ND,nloc ! dimensions officielles
+      REAL PH(nloc,ND),T(nloc,ND),EVAP(nloc,NA)
+      REAL XTWDTRAIN(ntraciso,nloc),WDTRAIN(nloc), &
             WATER(nloc,NA), Q(nloc,NA), XT(ntraciso,nloc,ND), &
                  QS(nloc,ND),QP(nloc,NA), &
@@ -9140,26 +9140,26 @@
           XTEVAP(ntraciso,nloc,NA), &
             WT(nloc,NA), MP(nloc,NA)
-      real sigd(nloc)
-      integer i,INB(nloc)
-      logical cvflag_grav
-      real ginv
-      real Mpmin
+      REAL sigd(nloc)
+      INTEGER i,INB(nloc)
+      LOGICAL cvflag_grav
+      REAL ginv
+      REAL Mpmin
 
       !* variables intermediaires
-      integer ixt,j,il
-      real qeff(ncum)
-      real xtp_avantevap(ntraciso,ncum),qp_avantevap(ncum)
+      INTEGER ixt,j,il
+      REAL qeff(ncum)
+      REAL xtp_avantevap(ntraciso,ncum),qp_avantevap(ncum)
 !      real Exi(niso,ncum) ! equivalent à Eqi_prime
-      real Pqisup(ncum),Pqiinf(ncum),Eqi(ncum) 
-      real Pqiinf_par(ncum), Eqi_prime(ncum),  &
+      REAL Pqisup(ncum),Pqiinf(ncum),Eqi(ncum)
+      REAL Pqiinf_par(ncum), Eqi_prime(ncum),  &
                  Eqi_plus1(ncum), Eqi_par(ncum)
-      real Pqiinf_stewart(ncum), Eqi_stewart(ncum)
-      real Exi_prime(ntraciso,ncum)
-      real Pxtiinf_stewart(niso,ncum),  &
+      REAL Pqiinf_stewart(ncum), Eqi_stewart(ncum)
+      REAL Exi_prime(ntraciso,ncum)
+      REAL Pxtiinf_stewart(niso,ncum),  &
                 Exi_stewart(niso,ncum)
-      real Exi_plus1(niso,ncum)
-      real Pxtisup(ntraciso,ncum), Pxtiinf(niso,ncum)
-      real xtnew(niso,ncum)
-      real fac_ftmr(ncum) ! facteur de conversion des flux en mixing ratio
+      REAL Exi_plus1(niso,ncum)
+      REAL Pxtisup(ntraciso,ncum), Pxtiinf(niso,ncum)
+      REAL xtnew(niso,ncum)
+      REAL fac_ftmr(ncum) ! facteur de conversion des flux en mixing ratio
 !      real Risup(ntraciso,ncum), Rcond(ntraciso,ncum), 
 !     :           Renv(ntraciso,ncum) 
@@ -9169,29 +9169,29 @@
 !     real fcond(ncum), fice(ncum), cond(ncum)
 !      real zxtalphal(niso,ncum), zxtalphai(niso,ncum)
-      real g
-      real rat(ncum)
-      real ztglace_kelvin
+      REAL g
+      REAL rat(ncum)
+      REAL ztglace_kelvin
       parameter (ztglace_kelvin=273.15)
 
-      integer frac_sublim
+      INTEGER frac_sublim
       !real      
       !real real_to_double
 
       ! compteurs de parsage
-      integer icas_condensation_facftmr,ncas_condensation_facftmr
-      integer icas_condensation_nofacftmr,ncas_condensation_nofacftmr
-      integer icas_noevap,ncas_noevap
-      integer icas_evap_liq,ncas_evap_liq
-      integer icas_evap_glace,ncas_evap_glace
-      integer ncas_tot
+      INTEGER icas_condensation_facftmr,ncas_condensation_facftmr
+      INTEGER icas_condensation_nofacftmr,ncas_condensation_nofacftmr
+      INTEGER icas_noevap,ncas_noevap
+      INTEGER icas_evap_liq,ncas_evap_liq
+      INTEGER icas_evap_glace,ncas_evap_glace
+      INTEGER ncas_tot
 
       ! tableaux d'indice issus du parsage
-      integer cas_condensation_facftmr(ncum)
-      integer cas_condensation_nofacftmr(ncum)
-      integer cas_noevap(ncum)
-      integer cas_evap_liq(ncum)
-      integer cas_evap_glace(ncum)
-
-      integer trace_cas(ncum)
+      INTEGER cas_condensation_facftmr(ncum)
+      INTEGER cas_condensation_nofacftmr(ncum)
+      INTEGER cas_noevap(ncum)
+      INTEGER cas_evap_liq(ncum)
+      INTEGER cas_evap_glace(ncum)
+
+      INTEGER trace_cas(ncum)
 #ifdef ISOVERIF
       ! tracage des cas
@@ -9210,5 +9210,5 @@
 !      integer iso_verif_egalite_choix_nostop
 !      real deltaD
-      real Exi_cas(niso,ncum),Exi(ntraciso,ncum)
+      REAL Exi_cas(niso,ncum),Exi(ntraciso,ncum)
 #endif    
 !      integer iso_verif_noNAN_nostop
@@ -9216,9 +9216,9 @@
 
       ! outputs des calculs, compressés
-      real xtevap_cas(niso,ncum),xtp_cas(niso,ncum), &
+      REAL xtevap_cas(niso,ncum),xtp_cas(niso,ncum), &
                  xtwater_cas(niso,ncum)
 
       ! inputs des calculs, compréssés
-      real T_cas(ncum),delP_cas(ncum), &
+      REAL T_cas(ncum),delP_cas(ncum), &
                 xtevapsup_cas(niso,ncum),evap_cas(ncum), &
                 qp_cas(ncum),wt_cas(ncum), &
@@ -9234,10 +9234,10 @@
       real  qp_avantevaptrac_cas(ncum), &
         xtp_avantevaptrac_cas(niso,ncum)
-        integer izone ,iiso
-      real xtaddp_tag(niso,ncum)
-      real ptrac(ncum)
-      real hdiag(ncum)
+        INTEGER izone ,iiso
+      REAL xtaddp_tag(niso,ncum)
+      REAL ptrac(ncum)
+      REAL hdiag(ncum)
 #endif      
-      integer INB_cas(ncum)
+      INTEGER INB_cas(ncum)
               
 
@@ -9247,5 +9247,5 @@
 
       !gravité:
-      if (cvflag_grav) THEN
+      IF (cvflag_grav) THEN
           g=1/ginv
       else
@@ -9261,10 +9261,10 @@
       
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
         do il=1,ncum 
-         if (i.le.inb(il) .and. lwork(il)) THEN
+         IF (i.le.inb(il) .AND. lwork(il)) THEN
           CALL iso_verif_egalite_choix(xt(iso_eau,il,i),q(il,i), &
                  'appel_stewart_np 58',errmax,errmaxrel)
-         endif !if (i.le.inb(il) .and. lwork(il)) THEN
+         endif !if (i.le.inb(il) .AND. lwork(il)) THEN
         enddo !do il=1,ncum    
       endif !if (iso_eau.gt.0) THEN
